var alertMessage = 'Upłynęła sekunda!';
setTimeout(function() {
    alert(alertMessage);
}, 1000);



var alertMessage = 'Upłynęła sekunda!';
function doLater() {
    alert(alertMessage);
}
setTimeout(doLater, 1000);



var c = new Countdown();

c.onProgress = function(progressStatus) { 
    /* ... */ 
}; 
c.onDone = function(result) { 
    /* ... */ 
}; 
c.onError = function(error) { 
    /* ... */ 
};

c.start();



var r = new XMLHttpRequest();
r.open('GET', 'data.json', true);
r.onreadystatechange = function() {
    if (r.readyState != 4 || r.status != 200) {
        return;
    }
    alert(r.responseText);
};
r.send();



var b = document.getElementsByTagName('button')[0];
b.onclick = function() { console.log('onclick'); };
b.onmousedown = function() { console.log('onmousedown'); };
b.onmouseup = function() { console.log('onmouseup');



$('button').on('click', function() {
    var buttonText = $(this).text();
    console.log('Kliknięto: "' + buttonText + '"');
});


$('button').on('click', function() {
    var $button = $(this);
    $button.css({ position: 'relative' });
    $button.animate({ left: '+=15' }, 300, function() {
        $button.animate({ left: '-=30' }, 300, function() {
            $button.animate({ left: '+=30' }, 300, function() {
                $button.animate({ left: '-=15' }, 300, function() {
                    var buttonText = $button.text();
                    console.log('Przeprowadzono animację elementu "' + buttonText + '" <button>');

                    // $button.slideUp(function() {
                    //  $button.remove();
                    // });
                });
            });
        });
    });
});


$('button').css({ position: 'relative' })
    .animate({ left: '+=15' }, 300)
    .animate({ left: '-=30' }, 300)
    .animate({ left: '+=30' }, 300)
    .animate({ left: '-=15' }, 300);


$('button').on('click', function() {
    $.getJSON('AjaxContent.json', function(json) {
        $('#newContent').text(json.data);
    });
});
